Subject: bug#9918: 24.0.90; lazy-highlighting in Info mode

From: "Drew Adams" <[email-masked]>
Date: Mon, 31 Oct 2011 14:13:37 -0700

> In step #3 above, the lazy highlighting is performed well until the
> search begins to fail, point at which the lazy highlighting is
> deactivated.  As I said, this behavior is (a) inconsistent with the
> standard Isearch (try to do the same in text mode) and (b) less
> informative for the user (there is indeed a match of "extensible" that
> should be advised to the user).

Note that the problem arises only when there is only one match for the search
pattern, and that match occurs before point.

E.g.: `g Intro', put point in the 3rd paragraph, then search for `extensible'.
There is no problem highlighting occurrences that are before point.